Name: libiconv
Version: 1.14
Release: 2
License: GPLv3
Summary: GNU libiconv
Url: https://www.gnu.org/software/libiconv

BuildRequires: libtool
BuildRequires: ibm-build-tools

Source0: https://ftp.gnu.org/pub/gnu/libiconv/libiconv-%{version}.tar.gz

Patch0: libiconv-lib_Makefile.in.patch

%description
This library provides an iconv() implementation, for use on systems which don't have one, or whose implementation cannot convert from/to Unicode. 

%package -n libiconv2
Summary: GNU libiconv
License: LGPLv2
Provides: %{name} = %{version}

%description -n libiconv2
Provides GNU libiconv library


%package -n iconv-gnu
Summary: GNU iconv utility
License: GPLv3
Requires: %{name} = %{version}

%description -n iconv-gnu
Provides the iconv program to convert files from the command line.


%package devel
Summary: GNU iconv utility
License: LGPLv2
Requires: %{name} = %{version}

%description devel
Provides development headers for libiconv


%prep
%setup -q

%patch0 -p1

%build

%if %{with reconf}
autoreconf -fi
%endif

%if %{without reconf}
  %define _host powerpc-ibm-aix6
%endif

%configure \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
%if %{with svr4_support}
  --with-aix-soname=svr4 \
%endif
  --disable-static \
  --disable-nls \
  --disable-rpath \
  # end

# This makes libtool build svr4 binaries somehow :)
LIBTOOL=`which libtool`
for f in `find . -name libtool`
do
  mv $f $f.bak
  ln -s $LIBTOOL $f
done

%make_build


%install

%make_install

mkdir %{buildroot}/%{_includedir}/libiconv
mv %{buildroot}/%{_includedir}/*.h %{buildroot}/%{_includedir}/libiconv

fix-rpath %{buildroot}/%{_bindir}/iconv %{_libdir}:/QOpenSys/usr/lib

rm %{buildroot}/%{_libdir}/*.la || :

%files -n iconv-gnu
%defattr(-, qsys, *none)

%{_bindir}/iconv

%{_mandir}/man1/iconv.1

%files -n libiconv2
%defattr(-, qsys, *none)

%{_libdir}/libcharset.so.*
%{_libdir}/libiconv.so.*

%{_libdir}/charset.alias
%{_docdir}/libiconv

%files devel
%defattr(-, qsys, *none)

%{_includedir}/libiconv

%{_libdir}/libcharset.so
%{_libdir}/libiconv.so

%{_mandir}/man3/iconv.3
%{_mandir}/man3/iconv_close.3
%{_mandir}/man3/iconv_open.3
%{_mandir}/man3/iconv_open_into.3
%{_mandir}/man3/iconvctl.3

%changelog
